Skip to main content
POST
Terminate contract

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

contractId
string
required

The unique identifier of the contract to terminate.

Body

application/json
terminationDate
string<date>

The date on which the contract termination is to take effect. It is represented as a string in date format.

Response

successful operation

addressTypesToCollect
enum<string>[]
required

An array indicating the types of addresses to collect. Valid values include 'BILLING_ADDRESS' and 'SHIPPING_ADDRESS'.

Available options:
BILLING_ADDRESS,
SHIPPING_ADDRESS
allowedPaymentMethods
enum<string>[]
required

An array of allowed payment methods for the contract. Valid values include 'CREDIT_OR_DEBIT_CARD', 'ACH', 'SEPA', 'BACS', and 'PADS'.

Available options:
CREDIT_OR_DEBIT_CARD,
ACH,
SEPA,
BACS,
PADS
automatedTaxesEnabled
boolean
required

Indicates whether automated taxes are enabled for the contract.

customProperties
object
required

A map of custom property names to their values for the contract.

hubspotBillingEnabled
boolean
required

Indicates whether HubSpot billing is enabled for the contract.

id
string
required

The unique identifier for the contract.

lineItems
object[]
required

An array of line items included in the contract.

paymentEnabled
boolean
required

Indicates whether payment is enabled for the contract.

status
enum<string>
required

The current status of the contract. Valid values include 'DRAFT', 'ACTIVE', 'PAUSED', 'COMPLETED', and 'TERMINATED'.

Available options:
ACTIVE,
COMPLETED,
DRAFT,
PAUSED,
TERMINATED
storePaymentMethodAtCheckout
boolean
required

Indicates whether the payment method should be stored at checkout.

allTransactionsFeeName
string

The name of the fee applied to all transactions.

allTransactionsFeePercentage
number

The percentage fee applied to all transactions.

annualContractValue
number

The annual value of the contract, represented as a number.

billingAddress
object
billingCompanyId
string

The unique identifier for the billing company associated with the contract.

billingContactId
string

The unique identifier for the billing contact associated with the contract.

billingStartDateOverride
string<date>

An override for the billing start date, in YYYY-MM-DD format.

cardFeeName
string

The name of the fee applied to card transactions.

cardFeePercentage
number

The percentage fee applied to card transactions.

collectionProcess
enum<string>

The process for collecting payments. Valid values include 'MANUAL_PAYMENTS' and 'AUTOMATIC_PAYMENTS'.

Available options:
AUTOMATIC_PAYMENTS,
MANUAL_PAYMENTS
contractEffectiveDate
string<date>

The effective date of the contract, in YYYY-MM-DD format.

contractSourceId
string

The unique identifier for the source of the contract.

createdAt
string<date-time>

The date and time when the contract was created, in ISO 8601 format.

currencyCode
string

The currency code used for the contract, represented as a string.

currentAnnualRecurringRevenue
number

The current annual recurring revenue for the contract, represented as a number.

currentMonthlyRecurringRevenue
number

The current monthly recurring revenue for the contract, represented as a number.

dealId
string

The unique identifier for the deal associated with the contract.

directDebitFeeName
string

The name of the fee applied to direct debit transactions.

directDebitFeePercentage
number

The percentage fee applied to direct debit transactions.

discountCode
string

The discount code applied to the contract.

endDate
string<date>

The end date of the contract, in YYYY-MM-DD format.

externalPaymentMethodReferenceId
string

The external reference ID for the payment method used in the contract.

language
string

The language used for the contract.

locale
string

The locale setting for the contract.

name
string

The name of the contract.

netPaymentTerms
integer<int32>

The net payment terms for the contract, represented as an integer.

paymentMethod
string

The payment method used for the contract.

poNumber
string

The purchase order number associated with the contract.

preTerminationContractValue
number

The value of the contract before termination, represented as a number.

renewalContractId
string

The unique identifier for the renewal contract.

renewalDate
string<date>

The renewal date of the contract, in YYYY-MM-DD format.

sellerCompanyAddress
object
sellerCompanyName
string

The name of the seller's company.

sellerEmail
string

The email address of the seller.

sellerFirstName
string

The first name of the seller.

sellerLastName
string

The last name of the seller.

sellerPhoneNumber
string

The phone number of the seller.

startDate
string<date>

The start date of the contract, in YYYY-MM-DD format.

terminationDate
string<date>

The termination date of the contract, in YYYY-MM-DD format.

totalBilledAmount
number

The total amount billed under the contract, represented as a number.

totalBilledAmountPreTax
number

The total amount billed under the contract before tax, represented as a number.

totalCollectedFees
number

The total fees collected under the contract, represented as a number.

totalCollectedTaxes
number

The total taxes collected under the contract, represented as a number.

totalContractValue
number

The total value of the contract, represented as a number.

totalPaidAmount
number

The total amount paid under the contract, represented as a number.

updatedAt
string<date-time>

The date and time when the contract was last updated, in ISO 8601 format.

Last modified on August 6, 2026